# stdex: stdex::parser::http_media_type Class Reference

Loading...
Searching...
No Matches
stdex::parser::http_media_type Class Reference

Test for HTTP media type (RFC2616: media-type) More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::http_media_type:

## Public Member Functions

virtual void | invalidate ()
Public Member Functions inherited from stdex::parser::basic_parser< char >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_opt_(end) const char *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (_In_reads_or_z_opt_(end) const char *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (const std::basic_string_view< char, std::char_traits< char > > text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)

## Public Attributes

std::list< http_parameter > | params
Public Attributes inherited from stdex::parser::http_media_range
http_token | type
http_token | subtype
Public Attributes inherited from stdex::parser::basic_parser< char >
stdex::interval< size_t > | interval
| Region of the last match.

## Protected Member Functions

virtual bool | do_match (_In_reads_or_z_(end) const char *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
Protected Member Functions inherited from stdex::parser::basic_parser< char >
virtual bool | do_match (_In_reads_or_z_opt_(end) const char *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)=0

## Additional Inherited Members

Protected Attributes inherited from stdex::parser::http_media_range
http_space | m_space
Protected Attributes inherited from stdex::parser::basic_parser< char >
std::locale | m_locale

## Detailed Description

Test for HTTP media type (RFC2616: media-type)

## Member Function Documentation

## do_match()

virtual bool stdex::parser::http_media_type::do_match | ( | _In_reads_or_z_(end) const char * | text,
|  | size_t | start = 0,
|  | size_t | end = SIZE_MAX,
|  | int | flags = match_default )

inlineprotectedvirtual

Reimplemented from stdex::parser::http_media_range.

## invalidate()

virtual void stdex::parser::http_media_type::invalidate | ( |  | ) |

inlinevirtual

Reimplemented from stdex::parser::http_media_range.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp